Workspaces - Get

ワークスペースリソースを活用しましょう。

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Chaos/workspaces/{workspaceName}?api-version=2026-08-01-preview

URI パラメーター

名前 / 必須 説明
resourceGroupName
path True

string

minLength: 1
maxLength: 90

リソース グループの名前。 名前は大文字と小文字を区別しません。

subscriptionId
path True

string (uuid)

ターゲット サブスクリプションの ID。 値は UUID である必要があります。

workspaceName
path True

string

minLength: 1
pattern: ^[^<>%&:?#/\\]+$

ワークスペースのリソース名を表す文字列です。

api-version
query True

string

minLength: 1

この操作に使用する API バージョン。

応答

名前 説明
200 OK

Workspace

Azure 操作は正常に完了しました。

Other Status Codes

ErrorResponse

予期しないエラー応答。

セキュリティ

azure_auth

Azure Active Directory OAuth2 フロー。

型: oauth2
フロー: implicit
Authorization URL (承認 URL): https://login.microsoftonline.com/common/oauth2/authorize

スコープ

名前 説明
user_impersonation あなたのユーザー アカウントになりすます

Get a Workspace in a resource group.

要求のサンプル

GET https://management.azure.com/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/workspaces/exampleWorkspace?api-version=2026-08-01-preview

応答のサンプル

{
  "name": "exampleWorkspace",
  "type": "Microsoft.Chaos/workspaces",
  "id": "/subscriptions/6b052e15-03d3-4f17-b2e1-be7f07588291/resourceGroups/exampleRG/providers/Microsoft.Chaos/workspaces/exampleWorkspace",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/exampleResourceGroup/providers/Microsoft.ManagedIdentity/userAssignedIdentities/exampleIdentity": {}
    },
    "tenantId": "8c3e2fb2-fe7a-4bf1-b779-d73990782fe6"
  },
  "tags": {
    "environment": "production",
    "department": "engineering",
    "project": "chaos-testing"
  },
  "location": "westus2",
  "properties": {
    "provisioningState": "Updating",
    "scopes": [
      "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/exampleResourceGroup"
    ]
  },
  "systemData": {
    "createdAt": "2021-07-01T00:00:00.0Z",
    "createdBy": "User",
    "createdByType": "b3a41dba-4415-4d36-9ee8-e5eaa86db976",
    "lastModifiedAt": "2021-07-01T00:00:00.0Z",
    "lastModifiedBy": "User",
    "lastModifiedByType": "b3a41dba-4415-4d36-9ee8-e5eaa86db976"
  }
}

定義

名前 説明
createdByType

リソースを作成した ID の種類。

ErrorAdditionalInfo

リソース管理エラーの追加情報

ErrorDetail

エラーの詳細。

ErrorResponse

エラー応答

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

ProvisioningState

特定のAzure Chaosリソースの現在のプロビジョニング状態。

systemData

リソースの作成と最後の変更に関連するメタデータ。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

Workspace

ワークスペースリソースを表すモデルです。

createdByType

リソースを作成した ID の種類。

説明
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

リソース管理エラーの追加情報

名前 説明
info

object

追加情報。

type

string

追加情報の種類。

ErrorDetail

エラーの詳細。

名前 説明
additionalInfo

ErrorAdditionalInfo[]

エラーに関する追加情報。

code

string

エラー コード。

details

ErrorDetail[]

エラーの詳細。

message

string

エラー メッセージ。

target

string

エラーの対象。

ErrorResponse

エラー応答

名前 説明
error

ErrorDetail

エラー オブジェクト。

ManagedServiceIdentity

マネージド サービス ID (システム割り当て ID またはユーザー割り当て ID)

名前 説明
principalId

string (uuid)

システム割り当て ID のサービス プリンシパル ID。 このプロパティは、システム割り当て ID にのみ提供されます。

tenantId

string (uuid)

システム割り当て ID のテナント ID。 このプロパティは、システム割り当て ID にのみ提供されます。

type

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

userAssignedIdentities

<string,  UserAssignedIdentity>

User-Assigned ID
リソースに関連付けられているユーザー割り当て ID のセット。 userAssignedIdentities ディクショナリ キーは、'/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName} という形式の ARM リソース ID になります。 ディクショナリ値は、要求内の空のオブジェクト ({}) にすることができます。

ManagedServiceIdentityType

マネージド サービス ID の種類 (SystemAssigned 型と UserAssigned 型の両方が許可されます)。

説明
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

ProvisioningState

特定のAzure Chaosリソースの現在のプロビジョニング状態。

説明
Succeeded

リソースが作成されました。

Failed

リソースの作成に失敗しました。

Canceled

リソースの作成が取り消されました。

Creating

初期作成が進行中です。

Updating

更新が進行中です。

Deleting

削除が進行中です。

Running

アクションが始まっています。

systemData

リソースの作成と最後の変更に関連するメタデータ。

名前 説明
createdAt

string (date-time)

リソース作成のタイムスタンプ (UTC)。

createdBy

string

リソースを作成した ID。

createdByType

createdByType

リソースを作成した ID の種類。

lastModifiedAt

string (date-time)

リソースの最終変更のタイムスタンプ (UTC)

lastModifiedBy

string

リソースを最後に変更した ID。

lastModifiedByType

createdByType

リソースを最後に変更した ID の種類。

UserAssignedIdentity

ユーザー割り当て ID プロパティ

名前 説明
clientId

string (uuid)

割り当てられた ID のクライアント ID。

principalId

string (uuid)

割り当てられた ID のプリンシパル ID。

Workspace

ワークスペースリソースを表すモデルです。

名前 説明
id

string (arm-id)

リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

このリソースに割り当てられているマネージド サービス ID。

location

string

リソースが存在する地理的な場所

name

string

リソースの名前

properties.communicationEndpoint

string

フォールトインジェクションのオーケストレーションのためにワークスペースと接続・通信するための通信エンドポイントです。

properties.provisioningState

ProvisioningState

与えられたワークスペースリソースの最新のプロビジョニング状態。

properties.scopes

string[] (arm-id)

子シナリオで使用される意図されたワークスペースレベルのリソーススコープ。

systemData

systemData

createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。

tags

object

リソース タグ。

type

string

リソースの種類。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts"